package com.example.timert

import android.content.Context
import android.content.Intent
import android.content.pm.PackageManager
import android.os.Bundle
import android.widget.Switch
import android.widget.TextView
import androidx.appcompat.app.AppCompatActivity
import androidx.appcompat.app.AppCompatDelegate
import android.widget.Button
import androidx.appcompat.app.AlertDialog
import androidx.core.text.HtmlCompat

class SettingsActivity : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_settings2)



        val developersButton: Button = findViewById(R.id.developersButton)


        // Обработчик нажатия на кнопку "Разработчики"
        developersButton.setOnClickListener {
            AlertDialog.Builder(this)
                .setTitle("Разработчики")
                .setMessage(HtmlCompat.fromHtml(
                    "<p style='margin-left: 2em;'><b>Программу разработали:</b></p><br>" +
                            "<p style='margin-left: 2em;'>Емцова Надежда Александровна</p>" +
                            "<p style='margin-left: 2em;'>Новиков Николай Алексеевич</p>" +
                            "<p style='margin-left: 2em;'>Пискун Алёна Викторовна</p>",
                    HtmlCompat.FROM_HTML_MODE_LEGACY
                ))
                .setPositiveButton("ОК", null)
                .show()
        }
        val on_main: Button = findViewById(R.id.btn_on_main)
        on_main.setOnClickListener {
            val intent = Intent(this, MainActivity::class.java)
            startActivity(intent)
        }
        }
    }
